_GPPortSettingsSerial Struct Reference

Port settings for serial ports. More...

`#include <gphoto2-port.h>`

## Data Fields

char | port [128]
int | speed
int | bits
GPPortSerialParity | parity
int | stopbits

## Detailed Description

Port settings for serial ports.

## Field Documentation

int _GPPortSettingsSerial::bits

How many bits data.

Referenced by gp_port_set_info().

GPPortSerialParity _GPPortSettingsSerial::parity

           parity data, see GP_PORT_SERIAL_PARITY_

defines

Referenced by gp_port_set_info().

char _GPPortSettingsSerial::port[128]

The portname (/dev/ttyX)

Referenced by gp_port_set_info().

int _GPPortSettingsSerial::speed

The baudrate of the device.

Referenced by gp_camera_set_port_speed(), and gp_port_set_info().

int _GPPortSettingsSerial::stopbits

How many stop bits are used.

Referenced by gp_port_set_info().

The documentation for this struct was generated from the following file:

- libgphoto2_port/gphoto2/gphoto2-port.h